############################################
###       CUSTOM PARAMETERS              ###
############################################

# Name of the client system
client_system_name=FACE_RECOGNITION_SUBSCRIBER

arrowhead.client.system.name=FACE_RECOGNITION_SUBSCRIBER
arrowhead.client.system.interface.secure=HTTP-SECURE-JSON
arrowhead.client.system.interface.insecure=HTTP-INSECURE-JSON

arrowhead.client.subscriber.ledpanel-path=/home/pi/i2cdisplay/ledpanel.py
arrowhead.client.subscriber.notification-queue-name=/facedetected
arrowhead.client.subscriber.base-notification-uri=/notify
arrowhead.client.subscriber.eventTypeURIMap.FACE_DETECTED=/facedetected

arrowhead.client.orchestration.max-retry=3
arrowhead.client.orchestration.retry-wait=5
arrowhead.client.orchestration.matchmaking=false
arrowhead.client.orchestration.override-store=true
arrowhead.client.orchestration.metadata-search=true
arrowhead.client.orchestration.enable-inter-cloud=false
arrowhead.client.orchestration.enable-qos=false
arrowhead.client.orchestration.external-service-request=false
arrowhead.client.orchestration.only-preferred=false
arrowhead.client.orchestration.trigger-inter-cloud=false
arrowhead.client.orchestration.ping-providers=true

# Client web-server parameters
server.address=192.168.130.37
server.port=8889

# Service Registry Core System web-server parameters
sr_address=192.168.130.1
sr_port=8443

############################################
###           EVENT HANDLING             ###
############################################

# configure event type - subscription uri
# add additional event types and request uris as - event.eventTypeURIMap.{YOUR_EVENT_TYPE}={notificationuri for YOUR_EVENT_TYPE}
event.eventTypeURIMap.START_INIT=startinit
event.eventTypeURIMap.START_RUN=startrun
event.eventTypeURIMap.REQUEST_RECEIVED=requestreceived
event.eventTypeURIMap.FACE_DETECTED=facedetected

############################################
###           SECURE MODE                ###
############################################

# configure secure mode

# Set this to false to disable https mode
server.ssl.enabled=false
# Set this to false to deactivate the token security filter
token.security.filter.enabled=false

server.ssl.key-store-type=PKCS12
server.ssl.key-store=classpath:certificates/subscriber_skeleton.p12
server.ssl.key-store-password=123456
server.ssl.key-alias=subscriber_skeleton
server.ssl.key-password=123456
server.ssl.client-auth=need
server.ssl.trust-store-type=PKCS12
server.ssl.trust-store=classpath:certificates/truststore.p12
server.ssl.trust-store-password=123456

#logging.level.root=DEBUG